Bug 445010 - (GCVS) Review Request: xvarstar - an astronomical program used for searching GCVS
Review Request: xvarstar - an astronomical program used for searching GCVS
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-02 14:35 EDT by Michael Ughetto
Modified: 2009-05-22 12:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-27 06:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michael Ughetto 2008-05-02 14:35:13 EDT
This is my first package and I'm actually looking for a sponsor.

Spec URL: http://telimektar.com/rpm/xvarstar/xvarstar.spec
SRPM URL: http://telimektar.com/rpm/xvarstar/xvarstar-0.9-1.fc9.src.rpm

This software is intended to become a part of the Astronomy spin.

XVarStar is a astronomical program written for variable star observers, and is
 used for searching GCVS catalogue.  It allows searching by following criteria
-star name 
-This searching criteria can be combined so one can search for example all 
variable stars located in Andromeda constellation and with magnitude 
brighter than 5.00.

The package succesfully pass rpmlint and is build without errors with mock.

Please let me know if something's missing.

I'd be happy if someone find the time to review this little package.

Have a nice day !
Comment 1 Marek Mahut 2008-05-02 14:41:18 EDT
Nice! I'll check this next week as I'm on business trip this week.
Comment 2 Marek Mahut 2008-06-21 15:57:19 EDT
Unfortunately, I can't be a sponsor for you :(

This package looks fine to me, but:

* name your patch %{name}-%{version}-%{descrptions}.patch if possible
* delete Encoding from .desktop file, it has been deprecated
Comment 3 Michael Ughetto 2008-06-22 11:35:30 EDT
Hi the package and spec have been modified with your suggestions.

* The patch has been renamed %{name}-%{version}-makefile.patch for the
%{description} may be a little too long for a file name.
* Also The .desktop is modified.

You can find here the modified SRPM and SPEC :

SPEC URL : http://www.telimektar.com/rpm/xvarstar/xvarstar-0.9-1.fc9.src.rpm
SRPM URL : http://www.telimektar.com/rpm/xvarstar/xvarstar.spec

It isn't that bad if you can't be a sponsor for me, i'll try to find another one.

Can you commit this package and mark me as co-maintaner ?

PS : I have beginning packaging PyCards wich is needed for skylive.it ;) in
order to have more package to show to my potential sponsors.
Comment 4 Marek Mahut 2008-06-22 13:50:03 EDT
Sure, I'll do that. 

the PythonCard review is going on in Bug 448435 (sorry for not mailing it our to
the list), you can start working on the skylive.it if you have time :) 
Comment 5 Marek Mahut 2008-06-22 13:54:42 EDT
New Package CVS Request
Package Name: xvarstar
Short Description: an astronomical program used for searching GCVS
Owners: mmahut
Branches: F-8, F-9, EL-5
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-06-23 11:28:02 EDT
Marek: You can't both review a package and maintain it... 

Can you get someone else to review? or sponsor Michael?

Michael: I might be able to sponsor you, can you provide pointers to any
pre-reviews you have done, and/or other packages you have submitted?
Comment 7 Michael Ughetto 2008-06-23 11:45:48 EDT
I've only made this package for the moment.
I've begun to work on skylive few days ago.

For the maintaining of the package I think a little mail on the astronomy-list
may help to find another reviewer.

My sponsoring can await other packages, thanks of your proposition Kevin ;)
Comment 8 Marek Mahut 2008-06-23 13:30:16 EDT
Kevin, you're right... it would be really nice if you can review Michael's work
and sponsor him (I'm not a sponsor). Thanks Kevin :)
Comment 9 Kevin Fenzi 2008-06-24 20:13:32 EDT
ok, let me know when you have a skylive package available for review?
If you get a chance to do some pre-reviews of other pending packages please let
me know... 
Comment 10 Michael Ughetto 2008-06-26 17:04:08 EDT
Ok I'll do so
I'm actually contacting skylive devs for their install scripts are quit strange,
but this is an other story ...
Comment 11 Michael Ughetto 2008-06-29 13:21:39 EDT
Pablo Martin Gomez has suggested me two minor things for the packages.
Fistr, I didn't update %release after Marek suggestions, and the ':' wasn't
well-placed into %description.

Here are updated spec and srpm :


Also, Marek, Pablo seems to be ok for reviewing me, are you still ok for
maintaining xvarstar, and mark me as co-mainainer ?
Comment 12 Marek Mahut 2008-06-29 20:16:40 EDT
I would like to be a co-maintainer.
Comment 13 Marek Mahut 2008-07-19 14:56:35 EDT
Who is it going? Would it be possible to import this soon?
Comment 14 Kevin Fenzi 2008-07-21 16:46:54 EDT
Sorry for the delay here. 

I was hoping to sponsor Michael, but I would like to see another package or some
pre-reviews from him. Michael: Have you had a chance to do either of those?

In the meantime if this is ready to be imported, I can do a quick review and
import it with Marek as the owner for now. 

Does that sound good? Happy to hear any other ideas or input... 
Comment 15 Marek Mahut 2008-07-21 17:00:58 EDT
Hello Kevin, that would work for me :) We will need this for Fedora Astronomy
Spin, so we want to have it in as soon as possible for testing. Thank you.
Comment 16 Kevin Fenzi 2008-07-23 00:04:53 EDT
ok, I went through my review checklist here and found just one issue...

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
9d42b1516dc487e57e1d6a1c25fd8820  xvarstar-0.9.tar.gz
9d42b1516dc487e57e1d6a1c25fd8820  xvarstar-0.9.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane


OK - Should build in mock.
OK - Should have dist tag
OK - Should package latest version


1. The License here seems to me to be "GPLv2+"
Note that the source files all have the
"either version 2 of the License, or (at your option) any later version."
Do you see any place where this is not the case?

Michael: Can you update that? Or explain why it's not the case? 
Comment 17 Michael Ughetto 2008-07-23 06:52:09 EDT

I'm on holiday and my internet access is very limited.
I agree with Marek as the owner of the package, for I can't work on any package
for the moment.

For the license issue, formerly i have put the GPLv2+ tag, but into a pre-review
done on #fedora-fr one suggest me to use GPL+.

I'm also awaiting an answer from skylive dev, and i have not much time to
re-mail them.

Sorry for the time that take that review.
Comment 18 Kevin Fenzi 2008-07-24 15:59:12 EDT
Michael: ok, sounds fine to me... please when you have some more packages ready
feel free to email me or add my name to CC on the review bug(s). 

Marek: Do you want to look at spinning up a new package with the new license, or
see why it's not the case? 

Comment 19 Marek Mahut 2008-09-07 04:45:11 EDT
Kevin, sorry for the delay. This has been done, new SRPM:

Comment 20 Kevin Fenzi 2008-09-08 16:32:37 EDT
ok. Sorry for my delay now. :) 

Everything looks good now to me, so this package is APPROVED.
Comment 21 Lubomir Rintel 2008-10-26 17:57:27 EDT
Comment 22 Marek Mahut 2008-10-26 18:02:54 EDT
New Package CVS Request
Package Name: xvarstar
Short Description: an astronomical program used for searching GCVS
Owners: mmahut
Branches: F-9, EL-5
Cvsextras Commits: yes
Comment 23 Dennis Gilmore 2008-10-27 00:15:24 EDT
CVS Done
Comment 24 Lubomir Rintel 2008-10-27 06:39:08 EDT
Imported and built.
Thanks for the package!

Note You need to log in before you can comment on or make changes to this bug.